classification
Title: Add api PyGILState_Check
Type: enhancement Stage:
Components: Interpreter Core Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: brett.cannon, kristjan.jonsson, pitrou, python-dev
Priority: normal Keywords: patch

Created on 2013-03-22 17:04 by kristjan.jonsson, last changed 2014-04-04 12:02 by kristjan.jonsson. This issue is now closed.

Files
File name Uploaded Description Edit
gilcheck.patch kristjan.jonsson, 2013-03-22 17:04 review
Messages (8)
msg184985 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2013-03-22 17:04
Here is a function that is used by specialized part of our code.  Often it is useful for e.g. IO callbacks or memory hooks to know if the GIL is in place in order to know if certain things can be done or not.
Putting this here to see if anyone has strong opinions against adding this.
msg185002 - (view) Author: Brett Cannon (brett.cannon) * (Python committer) Date: 2013-03-22 19:45
Seems fine to me
msg185013 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-03-22 22:10
You probably want to add some docs to c-api/init.rst.
msg185029 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2013-03-23 08:43
Sure, thanks.
msg185032 - (view) Author: Roundup Robot (python-dev) Date: 2013-03-23 10:48
New changeset 2e92d1567ad7 by Kristján Valur Jónsson in branch 'default':
Issue #17522: Add the PyGILState_Check() API.
http://hg.python.org/cpython/rev/2e92d1567ad7
msg185033 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-03-23 10:50
A small detail: you should add a "versionadded" tag in the function doc.
msg185034 - (view) Author: Roundup Robot (python-dev) Date: 2013-03-23 10:56
New changeset 772d57aac162 by Kristján Valur Jónsson in branch 'default':
Issue #17522: Minor documentation fix
http://hg.python.org/cpython/rev/772d57aac162
msg185035 - (view) Author: Kristján Valur Jónsson (kristjan.jonsson) * (Python committer) Date: 2013-03-23 10:59
Thanks, Antoine.
History
Date User Action Args
2014-04-04 12:02:15kristjan.jonssonsetresolution: fixed
2014-04-04 11:46:41kristjan.jonssonsetstatus: open -> closed
2013-03-23 10:59:28kristjan.jonssonsetmessages: + msg185035
2013-03-23 10:56:48python-devsetmessages: + msg185034
2013-03-23 10:50:15pitrousetmessages: + msg185033
2013-03-23 10:48:37python-devsetnosy: + python-dev
messages: + msg185032
2013-03-23 08:43:27kristjan.jonssonsetmessages: + msg185029
2013-03-22 22:10:14pitrousetnosy: + pitrou
messages: + msg185013
2013-03-22 19:45:06brett.cannonsetnosy: + brett.cannon
messages: + msg185002
2013-03-22 17:04:10kristjan.jonssoncreate